libzypp: zypp::PoolItem::Impl Struct Reference

libzypp 17.25.10

Public Member Functions | Private Attributes | Related Functions | List of all members
zypp::PoolItem::Impl Struct Reference

PoolItem implementation. More...

## Public Member Functions
| Impl ()
| Impl (ResObject::constPtr res_r, const ResStatus &status_r)
ResStatus & | status () const
sat::Solvable | buddy () const
void | setBuddy (const sat::Solvable &solv_r)
ResObject::constPtr | resolvable () const
ResStatus & | statusReset () const
bool | isUndetermined () const
bool | isRelevant () const
bool | isSatisfied () const
bool | isBroken () const
bool | isNeeded () const
bool | isUnwanted () const

## Private Attributes
ResStatus | _status
ResObject::constPtr | _resolvable
DefaultIntegral< sat::detail::IdType, sat::detail::noId > | _buddy

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const PoolItem::Impl &obj)
| Stream output. More...

## Poor man's save/restore state.
Todo: There may be better save/restore state strategies.
ResStatus | _savedStatus
void | saveState () const
void | restoreState () const
bool | sameState () const
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl. More...

## Detailed Description

PoolItem implementation.

`_buddy` handling:

- `==0` no buddy
- `>0` this uses `_buddy` status
- `<0` this status used by `-_buddy`

Definition at line 37 of file PoolItem.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::PoolItem::Impl::Impl | ( |  | ) |
| inline

Definition at line 40 of file PoolItem.cc.

## ◆ Impl() [2/2]

zypp::PoolItem::Impl::Impl | ( | ResObject::constPtr | res_r,
|  | const ResStatus & | status_r
| ) |  |
| inline

Definition at line 42 of file PoolItem.cc.

## Member Function Documentation

## ◆ status()

ResStatus& zypp::PoolItem::Impl::status | ( |  | ) | const
| inline

Definition at line 48 of file PoolItem.cc.

## ◆ buddy()

sat::Solvable zypp::PoolItem::Impl::buddy | ( |  | ) | const
| inline

Definition at line 51 of file PoolItem.cc.

## ◆ setBuddy()

void zypp::PoolItem::Impl::setBuddy | ( | const sat::Solvable & | solv_r | ) |
| inline

Definition at line 156 of file PoolItem.cc.

## ◆ resolvable()

ResObject::constPtr zypp::PoolItem::Impl::resolvable | ( |  | ) | const
| inline

Definition at line 62 of file PoolItem.cc.

## ◆ statusReset()

ResStatus& zypp::PoolItem::Impl::statusReset | ( |  | ) | const
| inline

Definition at line 65 of file PoolItem.cc.

## ◆ isUndetermined()

bool zypp::PoolItem::Impl::isUndetermined | ( |  | ) | const
| inline

Definition at line 73 of file PoolItem.cc.

## ◆ isRelevant()

bool zypp::PoolItem::Impl::isRelevant | ( |  | ) | const
| inline

Definition at line 78 of file PoolItem.cc.

## ◆ isSatisfied()

bool zypp::PoolItem::Impl::isSatisfied | ( |  | ) | const
| inline

Definition at line 83 of file PoolItem.cc.

## ◆ isBroken()

bool zypp::PoolItem::Impl::isBroken | ( |  | ) | const
| inline

Definition at line 88 of file PoolItem.cc.

## ◆ isNeeded()

bool zypp::PoolItem::Impl::isNeeded | ( |  | ) | const
| inline

Definition at line 93 of file PoolItem.cc.

## ◆ isUnwanted()

bool zypp::PoolItem::Impl::isUnwanted | ( |  | ) | const
| inline

Definition at line 98 of file PoolItem.cc.

## ◆ saveState()

void zypp::PoolItem::Impl::saveState | ( |  | ) | const
| inline

Definition at line 113 of file PoolItem.cc.

## ◆ restoreState()

void zypp::PoolItem::Impl::restoreState | ( |  | ) | const
| inline

Definition at line 115 of file PoolItem.cc.

## ◆ sameState()

bool zypp::PoolItem::Impl::sameState | ( |  | ) | const
| inline

Definition at line 117 of file PoolItem.cc.

## ◆ nullimpl()

static shared_ptr<Impl> zypp::PoolItem::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 137 of file PoolItem.cc.

## Friends And Related Function Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PoolItem::Impl & | obj
| ) |  |
| related

Stream output.

Definition at line 146 of file PoolItem.cc.

## Member Data Documentation

## ◆ _status

ResStatus zypp::PoolItem::Impl::_status
| mutableprivate

Definition at line 104 of file PoolItem.cc.

## ◆ _resolvable

ResObject::constPtr zypp::PoolItem::Impl::_resolvable
| private

Definition at line 105 of file PoolItem.cc.

## ◆ _buddy

DefaultIntegral<sat::detail::IdType,sat::detail::noId> zypp::PoolItem::Impl::_buddy
| private

Definition at line 106 of file PoolItem.cc.

## ◆ _savedStatus

ResStatus zypp::PoolItem::Impl::_savedStatus
| mutableprivate

Definition at line 132 of file PoolItem.cc.

The documentation for this struct was generated from the following file:

- zypp/PoolItem.cc